

<cfoutput>
	<h1>Application Scope is: #application.applicationname#</h1>
	<p>
		There are two possible applicaiton scopes in this example.
		<ol>
			<li>myAppOne - This is the default applicaiton name</li>
			<li>myAppTwo - This is a second application which (other than it's name) shares the EXACT same configuration as 'myAppOne'.</li>
		</ol>

	</p>
</cfoutput>


<cfscript>


foo_id = 'FE1BFBF3C88749C874B29971EF285484';




if ( application.applicationname eq 'myAppTwo' ) {
	ormReload();
}


// attempt to find Foo record in database
foo = entityLoadByPK('Foo',foo_id);

// create foo in databse if it doesn't already exist
if ( isNull(foo) ) {
	transaction {
		foo		= entityNew( 'Foo' );
		foo.setID(foo_id);
		foo.setLabel('Goodbye World!');
		entitySave(foo);
		transactionCommit();
	}

	writeoutput('Created Record Foo<br/>');
}

</cfscript>




<cfif application.applicationname eq 'myAppTwo' >
	<p>We just did an ormReload() using an application scope of 'myAppTwo'. ORM is now broken for both applications.</p>
	<a href="index.cfm">Click here to produce an error</a>
<cfelse>
	<p>We are currently in 'myAppOne', and have created an ORM entity called Foo.</p>
	<a href="index.cfm?appname=myAppTwo">Break it!</a>
</cfif>


